Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QIconEngineV2

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QIconEngine
                  com.trolltech.qt.gui.QIconEngineV2

All Implemented Interfaces:
  QtJambiInterface

    public abstract class QIconEngineV2

extends QIconEngine

The `QIconEngineV2` class provides an abstract base class for `QIcon` renderers. An icon engine renders `QIcon`s. With icon engines, you can customize icons. Qt provides a default engine that makes icons adhere to the current style by scaling the icons and providing a disabled appearance.

An engine is installed on an icon either through a `QIcon` constructor or through a `QIconEnginePluginV2`. The plugins are used by Qt if a specific engine is not given when the icon is created. See the `QIconEngineV2` class description to learn how to create icon engine plugins.

An icon engine provides the rendering functions for a `QIcon`. Each icon has a corresponding icon engine that is responsible for drawing the icon with a requested size, mode and state.

`QIconEngineV2` extends the API of `QIconEngine` to allow streaming of the icon engine contents, and should be used instead of `QIconEngine` for implementing new icon engines.

See also:
  `QIconEnginePluginV2`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QIconEngineV2()` Creates a new QIconEngineV2

Method Summary
`QIconEngineV2` | `clone()` This method is reimplemented for internal reasons
`static QIconEngineV2` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QIconEngineV2 instance pointed to by `nativePointer`.
`java.lang.String` | `key()` Returns a key that identifies this icon engine.
`boolean` | `read(QDataStream in)` Reads icon engine contents from the `QDataStream` `in`.
`boolean` | `write(QDataStream out)` Writes the contents of this engine to the `QDataStream` `out`.

Methods inherited from class com.trolltech.qt.gui.QIconEngine
`actualSize, addFile, addPixmap, paint, pixmap`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QIconEngineV2

    public QIconEngineV2()

  Creates a new QIconEngineV2

Method Detail

### clone

    public QIconEngineV2 clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

### key

    public java.lang.String key()

  Returns a key that identifies this icon engine.

### read

    public boolean read(QDataStream in)

  Reads icon engine contents from the `QDataStream` `in`. Returns true if the contents were read; otherwise returns false.

  `QIconEngineV2`'s default implementation always return false.

### write

    public boolean write(QDataStream out)

  Writes the contents of this engine to the `QDataStream` `out`. Returns true if the contents were written; otherwise returns false.

  `QIconEngineV2`'s default implementation always return false.

### fromNativePointer

    public static QIconEngineV2 fromNativePointer(QNativePointer nativePointer)

  This method returns the QIconEngineV2 instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD